allprojects {
    ext {
        compileSdkVersion = 35
        applicationId = "com.xjsucha.manbu"
        minSdkVersion = 23
        targetSdkVersion = 34
        ndkVersion = '27.0.12077973'
    }
    repositories {

//        maven { url 'https://maven.aliyun.com/repository/gradle-plugin' }
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/public' }
        maven { url 'https://maven.aliyun.com/repository/central' }
        maven { url 'https://repo.huaweicloud.com/repository/maven/' }
        mavenCentral()

        maven {
            credentials {
                username "$atmob_maven_username"
                password "$atmob_maven_password"
            }
            allowInsecureProtocol = true
            url "$atmob_maven_url/repository/android-group/"
        }
    }
}

rootProject.buildDir = "../build"
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}
subprojects {
    project.evaluationDependsOn(":app")
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}
